// ConfigDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "zp.h"
#include "ConfigDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg _CAO


CConfigDlg::CConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigDlg)
	m_tDate = 0;
	m_stTempDir = _T("");
	m_bTemp = FALSE;
	m_bSystem = FALSE;
	m_bVolume = FALSE;
	m_bExtra = FALSE;
	m_bNoDirEntries = FALSE;
	m_bExcludeDate = FALSE;
	m_bIncludeDate = FALSE;
	m_bQuiet = FALSE;
	m_bCRLF_LF = FALSE;
	m_bLF_CRLF = FALSE;
	m_bLatestTime = FALSE;
	//}}AFX_DATA_INIT
}


void CConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigDlg)
	DDX_DateTimeCtrl(pDX, IDC_DATE_DATETIMEPICKER, m_tDate);
	DDX_Text(pDX, IDC_TEMPDIR_EDIT, m_stTempDir);
	DDX_Check(pDX, IDC_TEMP_CHECK, m_bTemp);
	DDX_Check(pDX, IDC_SYSTEM_CHECK, m_bSystem);
	DDX_Check(pDX, IDC_VOLUME_CHECK, m_bVolume);
	DDX_Check(pDX, IDC_EXTRA_CHECK, m_bExtra);
	DDX_Check(pDX, IDC_NODIRENTRIES_CHECK, m_bNoDirEntries);
	DDX_Check(pDX, IDC_EXCLUDEDATE_CHECK, m_bExcludeDate);
	DDX_Check(pDX, IDC_INCLUDEDATE_CHECK, m_bIncludeDate);
	DDX_Check(pDX, IDC_QUIET_CHECK, m_bQuiet);
	DDX_Check(pDX, IDC_CRLF_LF_CHECK, m_bCRLF_LF);
	DDX_Check(pDX, IDC_LF_CRLF_CHECK, m_bLF_CRLF);
	DDX_Check(pDX, IDC_LATESTTIME_CHECK, m_bLatestTime);
	DDX_Control(pDX, IDC_LEVEL_SLIDER, m_ctrlLevel);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigDlg)
	ON_BN_CLICKED(IDC_BROUSE_BUTTON, OnBrouseButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg bZ[W nh

void CConfigDlg::OnBrouseButton() 
{
	char Tmp[MAX_PATH];
	BROWSEINFO  Binfo;
	LPITEMIDLIST lpIdll;
	
	Binfo.hwndOwner = m_hWnd;
	Binfo.pidlRoot = NULL;
	Binfo.pszDisplayName = Tmp;
	Binfo.lpszTitle = "tH_IĂ";
	Binfo.ulFlags = BIF_RETURNONLYFSDIRS;
	Binfo.lpfn = NULL;
	Binfo.lParam = 0;
	Binfo.iImage = 0;
	if((lpIdll = SHBrowseForFolder(&Binfo)) != NULL)
	{
		SHGetPathFromIDList(lpIdll, Tmp);
		m_stTempDir = Tmp;
		UpdateData(FALSE);
	}
}

BOOL CConfigDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ctrlLevel.SetRange(0, 9);
	m_ctrlLevel.SetPos(m_nLevel);
	
	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CConfigDlg::OnOK() 
{
	m_nLevel = m_ctrlLevel.GetPos();
	
	CDialog::OnOK();
}
